<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-modem-info.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.3.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mcm-modem-info.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&quot;</code><br />
</div>
<p><a href="mcm-modem-info_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ad2bb07396a290d6e6e8cebaf8e019d32"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32">McmModemState</a> { <br />
&#160;&#160;<a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32ad0cf432ab051e6b380cedc418a319487">MCM_MODEM_STATE_NOT_READY</a> = 0
, <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32aceae074bcb388fcb2cc0d68c9d78893c">MCM_MODEM_STATE_INITIALIZING</a> = 1
, <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a53917931b6ce02779a6379a62e0bbec4">MCM_MODEM_STATE_PIN_LOCKED</a> = 2
, <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32acf1c9438d153da2c7264db174f8663fb">MCM_MODEM_STATE_PUK_LOCKED</a> = 3
, <br />
&#160;&#160;<a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a2fcc38a8cf59637e5c2a64c3fa63077c">MCM_MODEM_STATE_RADIO_OFF</a> = 4
, <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32af11dd7d91b6e0f5fc892b1c83ed61009">MCM_MODEM_STATE_RADIO_ON</a> = 5
, <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a9445f907dc7e6234c0c8c2d6203b7da0">MCM_MODEM_STATE_SEARCHING</a> = 6
, <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a1a81741fe0946f734851ccff3a5ff731">MCM_MODEM_STATE_REGISTERED</a> = 7
, <br />
&#160;&#160;<a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32afe24b1f6dbea1f97ee9c310bcb274ea3">MCM_MODEM_STATE_CONNECTING</a> = 8
, <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32aa84ae07332ea1c0504a30495d6131bb7">MCM_MODEM_STATE_CONNECTED</a> = 9
, <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32abcf84ee8343cab55d5aaa28df645f93c">MCM_MODEM_STATE_NO_SIM</a> = 99
<br />
 }</td></tr>
<tr class="separator:ad2bb07396a290d6e6e8cebaf8e019d32"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a8f49396d97fec9048fd1274beb0c74c9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-modem-info_8h.html#a8f49396d97fec9048fd1274beb0c74c9">mcm_modem_get_all_properties</a> (char *interfaceName, int *arr_len, <a class="el" href="structmcm__property__info.html">mcm_property_info</a> **info_arr)</td></tr>
<tr class="memdesc:a8f49396d97fec9048fd1274beb0c74c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get all ethernet properties.  <a href="mcm-modem-info_8h.html#a8f49396d97fec9048fd1274beb0c74c9">More...</a><br /></td></tr>
<tr class="separator:a8f49396d97fec9048fd1274beb0c74c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a717f94a3cb36b97f3e516a74059e5fc7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-modem-info_8h.html#a717f94a3cb36b97f3e516a74059e5fc7">mcm_modem_get_property</a> (char *interfaceName, char *<a class="el" href="mcm-base-info_8h.html#ad20b8c57a45da862d3567815284924bf">propertyName</a>, char **<a class="el" href="mcm-base-info_8h.html#a63b548928a16f43766049f86ef90671b">propertyValue</a>, int cached)</td></tr>
<tr class="memdesc:a717f94a3cb36b97f3e516a74059e5fc7"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get property.  <a href="mcm-modem-info_8h.html#a717f94a3cb36b97f3e516a74059e5fc7">More...</a><br /></td></tr>
<tr class="separator:a717f94a3cb36b97f3e516a74059e5fc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59fde988c045b771aaca67f842d4371f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-modem-info_8h.html#a59fde988c045b771aaca67f842d4371f">mcm_get_modem_info</a> (char *interfaceName, <a class="el" href="structmcm__modem__info.html">mcm_modem_info</a> *modem_info)</td></tr>
<tr class="memdesc:a59fde988c045b771aaca67f842d4371f"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get modem information.  <a href="mcm-modem-info_8h.html#a59fde988c045b771aaca67f842d4371f">More...</a><br /></td></tr>
<tr class="separator:a59fde988c045b771aaca67f842d4371f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library is for Moxa Connection Management</p>
<dl class="section author"><dt>Author</dt><dd>York LY Chang <a href="#" onclick="location.href='mai'+'lto:'+'Yor'+'kL'+'Y.C'+'ha'+'ng@'+'mo'+'xa.'+'co'+'m'; return false;">YorkL<span style="display: none;">.nosp@m.</span>Y.Ch<span style="display: none;">.nosp@m.</span>ang@m<span style="display: none;">.nosp@m.</span>oxa.<span style="display: none;">.nosp@m.</span>com</a> </dd></dl>
</div><h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="ad2bb07396a290d6e6e8cebaf8e019d32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2bb07396a290d6e6e8cebaf8e019d32">&#9670;&nbsp;</a></span>McmModemState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32">McmModemState</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>McmModemState:</p>
<p>Enumeration of possible connection states. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ad2bb07396a290d6e6e8cebaf8e019d32ad0cf432ab051e6b380cedc418a319487"></a>MCM_MODEM_STATE_NOT_READY&#160;</td><td class="fielddoc"><p>The modem can't be detected or not inserted, or something undefined by MCM. </p>
</td></tr>
<tr><td class="fieldname"><a id="ad2bb07396a290d6e6e8cebaf8e019d32aceae074bcb388fcb2cc0d68c9d78893c"></a>MCM_MODEM_STATE_INITIALIZING&#160;</td><td class="fielddoc"><p>The modem is currently being initialized. </p>
</td></tr>
<tr><td class="fieldname"><a id="ad2bb07396a290d6e6e8cebaf8e019d32a53917931b6ce02779a6379a62e0bbec4"></a>MCM_MODEM_STATE_PIN_LOCKED&#160;</td><td class="fielddoc"><p>The modem needs to be unlocked SIM_PIN1. </p>
</td></tr>
<tr><td class="fieldname"><a id="ad2bb07396a290d6e6e8cebaf8e019d32acf1c9438d153da2c7264db174f8663fb"></a>MCM_MODEM_STATE_PUK_LOCKED&#160;</td><td class="fielddoc"><p>The modem needs to be unlocked SIM_PUK1. </p>
</td></tr>
<tr><td class="fieldname"><a id="ad2bb07396a290d6e6e8cebaf8e019d32a2fcc38a8cf59637e5c2a64c3fa63077c"></a>MCM_MODEM_STATE_RADIO_OFF&#160;</td><td class="fielddoc"><p>The modem radio power is off but sim power may not off. </p>
</td></tr>
<tr><td class="fieldname"><a id="ad2bb07396a290d6e6e8cebaf8e019d32af11dd7d91b6e0f5fc892b1c83ed61009"></a>MCM_MODEM_STATE_RADIO_ON&#160;</td><td class="fielddoc"><p>The modem radio power is on but idle and not registered, not searching </p>
</td></tr>
<tr><td class="fieldname"><a id="ad2bb07396a290d6e6e8cebaf8e019d32a9445f907dc7e6234c0c8c2d6203b7da0"></a>MCM_MODEM_STATE_SEARCHING&#160;</td><td class="fielddoc"><p>The modem radio power is on and under searching </p>
</td></tr>
<tr><td class="fieldname"><a id="ad2bb07396a290d6e6e8cebaf8e019d32a1a81741fe0946f734851ccff3a5ff731"></a>MCM_MODEM_STATE_REGISTERED&#160;</td><td class="fielddoc"><p>The modem is registered with a network provider but without data connections. </p>
</td></tr>
<tr><td class="fieldname"><a id="ad2bb07396a290d6e6e8cebaf8e019d32afe24b1f6dbea1f97ee9c310bcb274ea3"></a>MCM_MODEM_STATE_CONNECTING&#160;</td><td class="fielddoc"><p>The modem is establishing the PDN session. </p>
</td></tr>
<tr><td class="fieldname"><a id="ad2bb07396a290d6e6e8cebaf8e019d32aa84ae07332ea1c0504a30495d6131bb7"></a>MCM_MODEM_STATE_CONNECTED&#160;</td><td class="fielddoc"><p>One or more packet data bearers is active and connected. </p>
</td></tr>
<tr><td class="fieldname"><a id="ad2bb07396a290d6e6e8cebaf8e019d32abcf84ee8343cab55d5aaa28df645f93c"></a>MCM_MODEM_STATE_NO_SIM&#160;</td><td class="fielddoc"><p>SIM missing or unavailable </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a59fde988c045b771aaca67f842d4371f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59fde988c045b771aaca67f842d4371f">&#9670;&nbsp;</a></span>mcm_get_modem_info()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_get_modem_info </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__modem__info.html">mcm_modem_info</a> *&#160;</td>
          <td class="paramname"><em>modem_info</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get modem information. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">modem_info</td><td>(output) A modem infomation structure.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get modem properties success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="a8f49396d97fec9048fd1274beb0c74c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f49396d97fec9048fd1274beb0c74c9">&#9670;&nbsp;</a></span>mcm_modem_get_all_properties()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_modem_get_all_properties </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>arr_len</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__property__info.html">mcm_property_info</a> **&#160;</td>
          <td class="paramname"><em>info_arr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get all ethernet properties. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">arr_len</td><td>(output) Number of properties array.</td></tr>
    <tr><td class="paramname">info_arr</td><td>(output) Properties array.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get ethernet properties success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="a717f94a3cb36b97f3e516a74059e5fc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a717f94a3cb36b97f3e516a74059e5fc7">&#9670;&nbsp;</a></span>mcm_modem_get_property()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_modem_get_property </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>propertyName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>propertyValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>cached</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">propertyName</td><td>(input) Property name.</td></tr>
    <tr><td class="paramname">cached</td><td>(input) Using caeched property value.</td></tr>
    <tr><td class="paramname">propertyValue</td><td>(output) Property value.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get modem property success return 0. If fail, return error number. </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
